function InstanceInfo_getFavoriteInstances()
	local instances={
		-- 얼음성채 25인
		[1] = { name=L_INS_ICECROWN, difficulty=2, dn=L_ID2, duration=7, resetTime=1194366044+117587 },
		-- 얼음성채 10인
		[2] = { name=L_INS_ICECROWN, difficulty=1, dn=L_ID1, duration=7, resetTime=1194366044+117587 },
		-- 십자군의 시험장 25인 영웅
		[3] = { name=L_INS_CRUSADER, difficulty=4, dn=L_ID4, duration=7, resetTime=1194366044+117587 },
		-- 십자군의 시험장 10인 영웅
		[4] = { name=L_INS_CRUSADER, difficulty=3, dn=L_ID3, duration=7, resetTime=1194366044+117587 },
		-- 십자군의 시험장 25인
		[5] = { name=L_INS_CRUSADER, difficulty=2, dn=L_ID2, duration=7, resetTime=1194366044+117587 },
		-- 십자군의 시험장 10인
		[6] = { name=L_INS_CRUSADER, difficulty=1, dn=L_ID1, duration=7, resetTime=1194366044+117587 },
		-- 오닉시아의 둥지 25인
		[7] = { name=L_INS_ONYXIA, difficulty=2, dn=L_ID2, duration=7, resetTime=1194366044+117587 },
		-- 오닉시아의 둥지 10인
		[8] = { name=L_INS_ONYXIA, difficulty=1, dn=L_ID1, duration=7, resetTime=1194366044+117587 },
		-- 울두아르 25인
		[9] = { name=L_INS_ULDUAR, difficulty=2, dn=L_ID2, duration=7, resetTime=1194366044+117587 },
		-- 울두아르 10인
		[10] = { name=L_INS_ULDUAR, difficulty=1, dn=L_ID1, duration=7, resetTime=1194366044+117587 },
		-- 루비 성소 25인
		[11] = { name=L_INS_RUBY, difficulty=2, dn=L_ID2, duration=7, resetTime=1194366044+117587 },
		-- 루비 성소 10인
		[12] = { name=L_INS_RUBY, difficulty=1, dn=L_ID1, duration=7, resetTime=1194366044+117587 },
		-- 흑요석 성소 25인
		[13] = { name=L_INS_TOS, difficulty=2, dn=L_ID2, duration=7, resetTime=1194366044+117587 },
		-- 흑요석 성소 10인
		[14] = { name=L_INS_TOS, difficulty=1, dn=L_ID1, duration=7, resetTime=1194366044+117587 },
		-- 영원의 눈 25인
		[15] = { name=L_INS_EOE, difficulty=2, dn=L_ID2, duration=7, resetTime=1194366044+117587 },
		-- 영원의 눈 10인
		[16] = { name=L_INS_EOE, difficulty=1, dn=L_ID1, duration=7, resetTime=1194366044+117587 },
		-- 낙스라마스 25인
		[17] = { name=L_INS_NAXXRAMAS, difficulty=2, dn=L_ID2, duration=7, resetTime=1194366044+117587 },
		-- 낙스라마스 10인
		[18] = { name=L_INS_NAXXRAMAS, difficulty=1, dn=L_ID1, duration=7, resetTime=1194366044+117587 },
		-- 아카본 석실 25인
		[19] = { name=L_INS_ARCHAVON, difficulty=2, dn=L_ID2, duration=7, resetTime=1194366044+117587 },
		-- 아카본 석실 10인
		[20] = { name=L_INS_ARCHAVON, difficulty=1, dn=L_ID1, duration=7, resetTime=1194366044+117587 },
	};

	local idx;
	local nMax=table.getn(instances);
	local secs_per_day=24*60*60;
	local curtime=time();
	for idx = 1, nMax do
		local instance=instances[idx];
		local newResetTime=instance.resetTime;
		for try = 1, 999999 do
			if (newResetTime > curtime) then
				instance.resetTime=newResetTime;
				break;
			else
				newResetTime=newResetTime+instance.duration*secs_per_day;
			end
		end
	end
	return instances;
end


